#pragma once

#include <hilbert/kernel/app-memory.hpp>
#include <hilbert/kernel/vfile.hpp>

namespace hilbert::kernel {

  enum class load_app_result {
    success,
    not_app,
    io_error
  };

  load_app_result load_app(
    vfile::vfile &file, app_memory &into, uint64_t &entry_out);

}
